#version 150 core

uniform mat4 modelViewMatrix;
uniform mat4 projectionMatrix;

in vec4 in_position;

out vec4 ex_viewPosition;

void main(void)
{
	ex_viewPosition = modelViewMatrix * in_position;

	gl_Position = projectionMatrix * ex_viewPosition;
}