#version 150 core

uniform mat4 modelViewMatrix;
uniform mat4 projectionMatrix;

in vec4 in_position;
	
out vec4 ex_view_position;
out vec4 ex_persp_position;

void main()
{
	ex_view_position = modelViewMatrix * in_position;
	ex_persp_position = projectionMatrix * ex_view_position;
	
	gl_Position = ex_persp_position;
}